petsc-3.13.6 2020-09-29
Report Typos and Errors

# DMPlexGetGlobalToNaturalSF

Gets the SF for mapping Global Vec to the Natural Vec

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetGlobalToNaturalSF(DM dm, PetscSF *naturalSF)

### Input Parameter

dm -The DM

### Output Parameter

naturalSF -The PetscSF

### See Also

DMPlexDistribute(), DMPlexDistributeField(), DMPlexCreateGlobalToNaturalSF(), DMPlexSetGlobaltoNaturalSF

### Level

intermediate

### Location

src/dm/impls/plex/plexnatural.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages